package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.user.info.UserReferralDto;
import com.crm.rely.backend.core.entity.user.info.UserReferralAddEntity;
import com.crm.rely.backend.core.entity.user.info.UserReferralEntity;
import com.crm.rely.backend.core.entity.user.info.UserReferralUpdateEntity;

public interface UserReferralService {

    void add(UserReferralAddEntity entity) throws Exception;

    ResultWithPagerDto<UserReferralDto> searchPageList(UserReferralEntity entity) throws Exception;;

    void update(UserReferralUpdateEntity entity) throws Exception;

    ResultWithPagerDto<UserReferralDto> getSuccessPageList(UserReferralEntity entity) throws Exception;

}
